Get Company Details
curl --request POST \
--url https://api-umbrella.io/api/services/kyb/company/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionId": "a8b89ef3-9d93-4d96-a495-be605fd1b2fe",
"companyId": "223c8dde-9c82-4811-ba3c-4f9fe648c2da",
"include": {
"officers": true,
"addresses": true,
"ownerships": true,
"transparency": true,
"documents": true,
"financials": false
},
"timeoutMs": 30000
}
'import requests
url = "https://api-umbrella.io/api/services/kyb/company/details"
payload = {
"transactionId": "a8b89ef3-9d93-4d96-a495-be605fd1b2fe",
"companyId": "223c8dde-9c82-4811-ba3c-4f9fe648c2da",
"include": {
"officers": True,
"addresses": True,
"ownerships": True,
"transparency": True,
"documents": True,
"financials": False
},
"timeoutMs": 30000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionId: 'a8b89ef3-9d93-4d96-a495-be605fd1b2fe',
companyId: '223c8dde-9c82-4811-ba3c-4f9fe648c2da',
include: {
officers: true,
addresses: true,
ownerships: true,
transparency: true,
documents: true,
financials: false
},
timeoutMs: 30000
})
};
fetch('https://api-umbrella.io/api/services/kyb/company/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"company": {
"legalName": "IDCANOPY GROUP LTD",
"tradingNames": [],
"status": "active",
"companyType": {},
"incorporationDate": "2025-02-19T00:00:00.000Z",
"registrationDate": null,
"country": "GB",
"registeredAddress": {
"singleLine": "71-75 Shelton Street, WC2H 9JQ London, United Kingdom",
"structured": {
"line1": "71-75 Shelton Street",
"line2": null,
"city": "London",
"postalCode": "WC2H 9JQ",
"region": null,
"country": "GB"
}
},
"businessAddress": {
"singleLine": null,
"structured": {
"line1": null,
"line2": null,
"city": null,
"postalCode": null,
"region": null,
"country": "GB"
}
},
"identifiers": [
{
"scheme": "REGISTRATION_NUMBER",
"value": "16262990",
"country": "GB"
}
],
"industryCodes": [],
"website": null
}
},
"metadata": {
"confidence": 0.85,
"completeness": 0.71,
"source": "Companies House",
"sourceTst": "2025-06-01T10:00:00.000Z"
}
}KYB
KYB Advanced Company Details
KYB Advanced Company Details API Documentation
POST
/
kyb
/
company
/
details
Get Company Details
For a usage description of the KYB Advanced Company Details, please refer to the KYB page.
Endpoint
POST/kyb/company/detailsAuthorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
From the /kyb/search response.
Example:
"a8b89ef3-9d93-4d96-a495-be605fd1b2fe"
From the /kyb/search response.
Example:
"223c8dde-9c82-4811-ba3c-4f9fe648c2da"
Data packages to retrieve. All default to false. Each enabled package is priced separately.
Show child attributes
Show child attributes
Request timeout in milliseconds.
Example:
30000
⌘I